import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'flutter_mapbox_platform_interface.dart';

/// An implementation of [FlutterMapboxPlatform] that uses method channels.
class MethodChannelFlutterMapbox extends FlutterMapboxPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('flutter_mapbox');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
